# https://github.com/feedhenry/fh-openshift-templates
# https://github.com/fheng/fh-core-openshift-templates
%global import_mbaas_path        github.com/feedhenry/fh-openshift-templates
%global import_core_path         github.com/fheng/fh-core-openshift-templates

%global package_name             rhmap-fh-openshift-templates
%global mbaas_ose_tarball_name   fh-openshift-templates-0.25.13.redhat-3
%global core_ose_tarball_name    fh-core-openshift-templates-0.1.5.redhat-9
%global mbaas_ose_folder_name    fh-openshift-templates-0.25.13-redhat-3
%global core_ose_folder_name     fh-core-openshift-templates-0.1.5-redhat-9
%global product_name             Red Hat Mobile Application Platform

Name:                      rhmap-fh-openshift-templates
Version:                   4.3.1
Release:                   3%{?dist}
Summary:                   Set of OpenShift templates that can be used to setup the Core and the MBaaS of the Red Hat Mobile Application Platform On-Premise product.
License:                   ASL 2.0
URL:                       https://%{import_mbaas_path}
Source0:                   %{mbaas_ose_tarball_name}.tar.gz
Source1:                   %{core_ose_tarball_name}.tar.gz
BuildArch:                 noarch

%description
%{summary}

%prep
%setup -q -n %{mbaas_ose_folder_name}
%setup -q -D -b 1 -n %{core_ose_folder_name}

%build

%install

echo "+++ Creating folders for ose templates..."
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/rhmap/templates/core
mkdir -p %{buildroot}/opt/rhmap/templates/mbaas

echo "+++ Copying ose MBaaS templates..."
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-template-*node.json %{buildroot}/opt/rhmap/templates/mbaas/
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-template-1node-persistent.json %{buildroot}/opt/rhmap/templates/mbaas/

echo "+++ Copying ose Core templates..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/generated/*.json %{buildroot}/opt/rhmap/templates/core/

echo "+++ Copying Gitlab-shell Security Context Constraint (SCC) file..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/gitlab-shell/scc-anyuid-with-chroot.json %{buildroot}/opt/rhmap/templates/core/

echo "+++ Copying OpenShift Wildcard Proxy template..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/proxy/fh-nginx-proxy-template.json %{buildroot}/opt/rhmap/templates/core/


%files
/opt/rhmap/templates/mbaas/
/opt/rhmap/templates/core/
/opt/rhmap/templates/

%changelog
* Fri Apr 28 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.3.1-3
- Update core templates for RHMAP 4.3.1.CR2 release after rhscl image fix
* Thu Apr 27 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.3.1-2
- Update core templates for RHMAP 4.3.1.CR2 release
* Tue Apr 25 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.3.1-1
- Update templates for RHMAP 4.3.1.CR1 release, align rpm to release version
* Tue Mar 21 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-10
- Fix for Wildcard Proxy template and SCM Docker images unsigned content for RHMAP 4.3.0.CR7 release
* Fri Mar 17 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-9
- Update templates for RHMAP 4.3.0.CR7 release
* Tue Mar 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-8
- Update templates for RHMAP 4.3.0.CR6 release
* Wed Mar 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-7
- Update templates for RHMAP 4.3.0.CR5 release
* Thu Mar 02 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-6
- Update templates for RHMAP 4.3.0.CR4 release
* Mon Feb 20 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-5
- Update templates for RHMAP 4.3.0.CR3 release
* Tue Feb 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-4
- Update templates for RHMAP 4.3.0.CR2 release
* Mon Feb 13 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-3
- Update templates for RHMAP 4.3.0.CR1 patch release
* Wed Feb 8 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-2
- Update templates for RHMAP 4.3.0.CR1 release
* Tue Jan 31 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-1
- Include the MBaaS 1 Node persistent template
- Include the new OpenShift Wildcard Proxy template
* Fri Jan 6 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-5
- Update core templates for RHMAP 4.2.1.CR4 release
* Tue Dec 13 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-4
- Update templates for RHMAP 4.2.1 release
* Tue Dec 6 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-3
- Update templates with patched Productised version
* Thu Dec 1 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-2
- Manage of different source tarballs for MBaaS and Core templates
* Mon Nov 28 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-1
- Update templates with patched Productised version after core and mbaas templates split
* Tue Oct 11 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-2
- Updated templates with patched Productised version
* Wed Oct 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-1
- Updated templates with latest Productised version
* Wed Sep 28 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.153-1
- Updated templates with latest Productised version
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.134-1
- Updated templates with latest Productised version
* Wed Sep 14 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.1-2
- Updated templates with latest upstream version; modified version naming
* Tue Sep 6 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-1
- Moved scc-anyuid-with-chroot.json file in core folder
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- Rename of the package into rhmap-fh-openshift-templates
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.0.1-1
- First package build of RHMAP OSE templates
